package org.university.core;

import java.util.ArrayList;

public class Professor extends AbstractEmployee {
	
	ArrayList<Course> courses;
	String group;
	ArrayList<Article> articles; 

	public Professor(String firstName, String lastName, String position, String ID, double basicIncome, int joiningYear,Department department, String group) {
		super(firstName, lastName, position, ID, basicIncome, joiningYear, department);
		this.group = group;
		courses = new ArrayList<>();
		articles = new ArrayList<>();
	}
	
	public void setGroup(String group) {
		this.group=group;
	}
	
	public void addCourse(Course c) {
		courses.add(c);
	}
	
	public ArrayList<Course> getCourses(){
		return courses;
	}
	
	public String getGroup() {
		return group;
	}
	
	public void addArticle(Article a) {
		articles.add(a);
	}
	
	@Override
	public double calCurrentIncome() {
		currentIncome+=articles.size()*1000;
		return currentIncome;
		
	}
	
	@Override
	public boolean isPromotable() {
		return false;
	}
	

}
