package org.university.core;

import java.util.ArrayList;

public abstract class AbstractEmployee extends Person implements AccountingInterface{
	ArrayList<Statement> bankStatements;
	String position;
	double basicIncome , currentIncome;

	public AbstractEmployee(String firstName, String lastName, String position , String ID ,double basicIncome , int joiningYear , Department department) {
		super(firstName,lastName,ID,joiningYear,department);
		this.position = position;
		this.basicIncome = basicIncome;
		bankStatements = new ArrayList<>();
	}
    public abstract boolean isPromotable();
    
	public abstract double calCurrentIncome();
	
	@Override
	public AbstractEmployee callEmployee() {
        return this;
    }
	
    @Override
    public double callCurrentIncome() {
        return callCurrentIncome();
    }
    
	public void setBasicIncome(double basicIncome) {
		this.basicIncome = basicIncome;
	}
	public double getBasicIncome() {
		return basicIncome;
	}
	public void setPosition(String p) {
		this.position = p;
	}

	public String getPosition() {
		return position;
	}

	public void addBankStatement(Statement s) {
		bankStatements.add(s);
	}

	public ArrayList getBankStatement() {
		return bankStatements;
	}

	public void setCurrentIncome(double currentIncome){
		this.currentIncome = currentIncome;
	}
	

 

}
