package org.university.core;

import java.util.ArrayList;

public class AccountingManagement {
	private ArrayList<Account> accounts;
	private ArrayList<Statement> statements;

	public void settle(AccountingInterface employee)
	{
		for (Account account:accounts)
		{
			if (account.getOwner()==employee)
			{
				double amount = employee.callCurrentIncome();
				account.setCredit(account.getCredit()+amount);
				Statement s = new Statement(employee.callEmployee(), amount);
		        statements.add(s);
			}
		}
	}
	
	public ArrayList<Statement> getStatements(){
		return statements;
	}

}
